## com.ibm.lab.soln.resources
Class ResourceChangeReporter

    java.lang.Object
      |
      +--com.ibm.lab.soln.resources.ResourceChangeReporter

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.core.resources.IResourceChangeListener

public class ResourceChangeReporter
extends java.lang.Object
implements org.eclipse.core.resources.IResourceChangeListener

Resource change listener that will create trace statements for all events received. The `IResourceChangeEvent` is processed with a visitor that will find and trace the `IResourceDelta` included in the event. This class supports basic event tracing and event detection for the `WorkspaceSaveParticipant` lifecycle. This class is used to detect events returned after a save request at shutdown. See `EDUResourcesPlugin.addMy_SaveP()`.

Constructor Summary
`ResourceChangeReporter()` Default constructor which sets a default mode value.
`ResourceChangeReporter(java.lang.String mode)` Alternate constructor to set an alternate prefix mode that will be used for console message tagging.

Method Summary
`void` | `resourceChanged(org.eclipse.core.resources.IResourceChangeEvent event)` Notifies this listener that some resource changes are happening, or have already happened.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceChangeReporter

    public ResourceChangeReporter()

  Default constructor which sets a default mode value. Mode is used to tag messages to the console to help visualize the trace data generated.

### ResourceChangeReporter

    public ResourceChangeReporter(java.lang.String mode)

  Alternate constructor to set an alternate prefix mode that will be used for console message tagging.

Method Detail

### resourceChanged

    public void resourceChanged(org.eclipse.core.resources.IResourceChangeEvent event)

  Notifies this listener that some resource changes are happening, or have already happened.

  The supplied event gives details. This event object (and the resource delta within it) is valid only for the duration of the invocation of this method.

  Note: This method is called by the platform; it is not intended to be called directly by clients.

  Note that during resource change event notification, further changes to resources may be disallowed.

  Specified by:
    `resourceChanged` in interface `org.eclipse.core.resources.IResourceChangeListener`
  Parameters:
    `event` - the resource change event
  See Also:
    `IResourceDelta`